Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cryptprogram
Class vychoziTest

    java.lang.Object
      cryptprogram.vychoziTest

    public final class vychoziTest

extends java.lang.Object

Field Summary
`private int` | `blockSize`
`private Console` | `console`
`private int` | `ELGAMAL_keySize`
`private ProgramMonitor` | `ELGAMAL_MONITOR`
`private ElGamal` | `elgamalCrypter`
`private java.util.ArrayList` | `ELGAMALTime`
`private int` | `ELIPTIC_keySize`
`private ProgramMonitor` | `ELIPTIC_MONITOR`
`private java.util.ArrayList` | `ELLIPTIC_Time`
`private EllipticCurves` | `ellipticCurvesCrypter`
`private int` | `MCELIECE_keySize`
`private ProgramMonitor` | `MCELIECE_MONITOR`
`private java.util.ArrayList` | `MCELIECE_Time`
`private McEliece` | `mcelieceCrypter`
`private boolean` | `messureCPU`
`private int` | `messurementTime`
`private ProgramMonitor` | `monitor`
`private EncryptionParameters` | `NTRU_keySize`
`private ProgramMonitor` | `NTRU_MONITOR`
`private java.util.ArrayList` | `NTRU_Time`
`private NTRU` | `ntruCrypter`
`private java.lang.String` | `outputToConsole`
`private boolean` | `privateSaveKey`
`private boolean` | `publicSaveKey`
`private int` | `RSA_keySize`
`private ProgramMonitor` | `RSA_MONITOR`
`private RSA` | `rsaCrypter`
`private java.util.ArrayList` | `RSATime`
`private long` | `thisthread`

Constructor Summary
`vychoziTest()` Konstruktor, spouští metodu init();

Method Summary
`void` | `consoleVisibility()`
`void` | `cryptingSettings(int blockSize, int RSA_keySize, int NTRU_keySize, int ELGAMAL_keySize, int MCELIECE_keySize, int ELIPTIC_keySize)` Nastavení kryptografických systému pro testování.
`private void` | `init()` Inicializace objektů, které zapisují délky času při testování.
`void` | `settings(boolean publicSaveKey, boolean privateSaveKey, boolean messureCPU, int messurementTime)` Nastavení globálních parametrů testu.
`void` | `vychozitest(byte[] input, java.lang.String filename, java.lang.String directory)` Metoda pro testování výchozího testu.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### blockSize

    private int blockSize

### RSA_keySize

    private int RSA_keySize

### NTRU_keySize

    private EncryptionParameters NTRU_keySize

### ELGAMAL_keySize

    private int ELGAMAL_keySize

### MCELIECE_keySize

    private int MCELIECE_keySize

### ELIPTIC_keySize

    private int ELIPTIC_keySize

### messurementTime

    private int messurementTime

### thisthread

    private long thisthread

### RSA_MONITOR

    private ProgramMonitor RSA_MONITOR

### NTRU_MONITOR

    private ProgramMonitor NTRU_MONITOR

### ELGAMAL_MONITOR

    private ProgramMonitor ELGAMAL_MONITOR

### MCELIECE_MONITOR

    private ProgramMonitor MCELIECE_MONITOR

### ELIPTIC_MONITOR

    private ProgramMonitor ELIPTIC_MONITOR

### monitor

    private ProgramMonitor monitor

### RSATime

    private java.util.ArrayList RSATime

### ELGAMALTime

    private java.util.ArrayList ELGAMALTime

### MCELIECE_Time

    private java.util.ArrayList MCELIECE_Time

### ELLIPTIC_Time

    private java.util.ArrayList ELLIPTIC_Time

### NTRU_Time

    private java.util.ArrayList NTRU_Time

### publicSaveKey

    private boolean publicSaveKey

### privateSaveKey

    private boolean privateSaveKey

### messureCPU

    private boolean messureCPU

### rsaCrypter

    private RSA rsaCrypter

### elgamalCrypter

    private ElGamal elgamalCrypter

### mcelieceCrypter

    private McEliece mcelieceCrypter

### ellipticCurvesCrypter

    private EllipticCurves ellipticCurvesCrypter

### ntruCrypter

    private NTRU ntruCrypter

### console

    private Console console

### outputToConsole

    private java.lang.String outputToConsole

Constructor Detail

### vychoziTest

    public vychoziTest()

  Konstruktor, spouští metodu init();

Method Detail

### init

    private void init()

  Inicializace objektů, které zapisují délky času při testování.

### settings

    public void settings(boolean publicSaveKey,
                         boolean privateSaveKey,
                         boolean messureCPU,
                         int messurementTime)

  Nastavení globálních parametrů testu.

  Parameters:
    `publicSaveKey` - Ukládání veřejného klíče do souboru true/false.
    `privateSaveKey` - Ukládání soukromého klíče do souboru true/false.
    `messureCPU` - Měřit úrověň procesoru(Není použito).
    `messurementTime` - Nastavení meření intervalu pro úroveň procesoru(Není použito).

### cryptingSettings

    public void cryptingSettings(int blockSize,
                                 int RSA_keySize,
                                 int NTRU_keySize,
                                 int ELGAMAL_keySize,
                                 int MCELIECE_keySize,
                                 int ELIPTIC_keySize)

  Nastavení kryptografických systému pro testování.

  Parameters:
    `blockSize` - Nastavení délky bloku pro šifrování.
    `RSA_keySize` - Nastavení délky klíče pro systém RSA.
    `NTRU_keySize` - Nastavení délky klíče pro systém NTRU.
    `ELGAMAL_keySize` - Nastavení délky klíče pro systém ElGamal.
    `MCELIECE_keySize` - Nastavení délky klíče pro systém McEliece.
    `ELIPTIC_keySize` - Nastavení délky klíče pro systém Eliptické Křivky.

### consoleVisibility

    public void consoleVisibility()

### vychozitest

    public void vychozitest(byte[] input,
                            java.lang.String filename,
                            java.lang.String directory)
                     throws java.security.NoSuchAlgorithmException,
                            java.security.NoSuchProviderException,
                            javax.crypto.NoSuchPaddingException,
                            java.security.InvalidKeyException,
                            javax.crypto.IllegalBlockSizeException,
                            javax.crypto.BadPaddingException,
                            java.io.FileNotFoundException,
                            java.io.IOException,
                            java.security.InvalidAlgorithmParameterException,
                            java.lang.InterruptedException

  Metoda pro testování výchozího testu.

  Parameters:
    `input` - Vstupní bytové pole které se má šifrovat.
    `filename` - Jméno souboru do kterého se mají ukládat výsledky.
    `directory` - Jméno složky kde se mají ukládat výsledky.
  Throws:
    `java.security.NoSuchAlgorithmException`
    `java.security.NoSuchProviderException`
    `javax.crypto.NoSuchPaddingException`
    `java.security.InvalidKeyException`
    `javax.crypto.IllegalBlockSizeException`
    `javax.crypto.BadPaddingException`
    `java.io.FileNotFoundException`
    `java.io.IOException`
    `java.security.InvalidAlgorithmParameterException`
    `java.lang.InterruptedException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD